Skip to navigation

Get Agent

Retrieve a specific agent by address.

Path parameters

addressstringRequired
The address of the agent

Query parameters

contractenumOptionalDefaults to testnet

The Almanac contract where the agent is registered (testnet by default)

Allowed values:

Response

Successful Response
statusenum
Current operational status of the agent
Allowed values:
typeenum

Type/category of the agent

addressstring
Unique blockchain address of the agent
endpointslist of objects
List of agent's endpoints
protocolslist of strings
Supported protocol identifiers
expirydatetime
Expiration timestamp of the agent
domain_namestring or nullOptional
Associated domain name, if available
metadatamap from strings to any or nullOptional
Additional arbitrary metadata

Errors

422
Unprocessable Entity Error